<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
<!-- 2021-12-03 Fri 15:43 -->
<meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1" />
<title>Org Export</title>
<meta name="author" content="dt" />
<meta name="description" content="Knowledge Base - Org Export
Header
Header" />
<meta name="generator" content="Org Mode" />
<style>
  #content { max-width: 60em; margin: auto; }
  .title  { text-align: center;
             margin-bottom: .2em; }
  .subtitle { text-align: center;
              font-size: medium;
              font-weight: bold;
              margin-top:0; }
  .todo   { font-family: monospace; color: red; }
  .done   { font-family: monospace; color: green; }
  .priority { font-family: monospace; color: orange; }
  .tag    { background-color: #eee; font-family: monospace;
            padding: 2px; font-size: 80%; font-weight: normal; }
  .timestamp { color: #bebebe; }
  .timestamp-kwd { color: #5f9ea0; }
  .org-right  { margin-left: auto; margin-right: 0px;  text-align: right; }
  .org-left   { margin-left: 0px;  margin-right: auto; text-align: left; }
  .org-center { margin-left: auto; margin-right: auto; text-align: center; }
  .underline { text-decoration: underline; }
  #postamble p, #preamble p { font-size: 90%; margin: .2em; }
  p.verse { margin-left: 3%; }
  pre {
    border: 1px solid #e6e6e6;
    border-radius: 3px;
    background-color: #f2f2f2;
    padding: 8pt;
    font-family: monospace;
    overflow: auto;
    margin: 1.2em;
  }
  pre.src {
    position: relative;
    overflow: auto;
  }
  pre.src:before {
    display: none;
    position: absolute;
    top: -8px;
    right: 12px;
    padding: 3px;
    color: #555;
    background-color: #f2f2f299;
  }
  pre.src:hover:before { display: inline; margin-top: 14px;}
  /* Languages per Org manual */
  pre.src-asymptote:before { content: 'Asymptote'; }
  pre.src-awk:before { content: 'Awk'; }
  pre.src-authinfo::before { content: 'Authinfo'; }
  pre.src-C:before { content: 'C'; }
  /* pre.src-C++ doesn't work in CSS */
  pre.src-clojure:before { content: 'Clojure'; }
  pre.src-css:before { content: 'CSS'; }
  pre.src-D:before { content: 'D'; }
  pre.src-ditaa:before { content: 'ditaa'; }
  pre.src-dot:before { content: 'Graphviz'; }
  pre.src-calc:before { content: 'Emacs Calc'; }
  pre.src-emacs-lisp:before { content: 'Emacs Lisp'; }
  pre.src-fortran:before { content: 'Fortran'; }
  pre.src-gnuplot:before { content: 'gnuplot'; }
  pre.src-haskell:before { content: 'Haskell'; }
  pre.src-hledger:before { content: 'hledger'; }
  pre.src-java:before { content: 'Java'; }
  pre.src-js:before { content: 'Javascript'; }
  pre.src-latex:before { content: 'LaTeX'; }
  pre.src-ledger:before { content: 'Ledger'; }
  pre.src-lisp:before { content: 'Lisp'; }
  pre.src-lilypond:before { content: 'Lilypond'; }
  pre.src-lua:before { content: 'Lua'; }
  pre.src-matlab:before { content: 'MATLAB'; }
  pre.src-mscgen:before { content: 'Mscgen'; }
  pre.src-ocaml:before { content: 'Objective Caml'; }
  pre.src-octave:before { content: 'Octave'; }
  pre.src-org:before { content: 'Org mode'; }
  pre.src-oz:before { content: 'OZ'; }
  pre.src-plantuml:before { content: 'Plantuml'; }
  pre.src-processing:before { content: 'Processing.js'; }
  pre.src-python:before { content: 'Python'; }
  pre.src-R:before { content: 'R'; }
  pre.src-ruby:before { content: 'Ruby'; }
  pre.src-sass:before { content: 'Sass'; }
  pre.src-scheme:before { content: 'Scheme'; }
  pre.src-screen:before { content: 'Gnu Screen'; }
  pre.src-sed:before { content: 'Sed'; }
  pre.src-sh:before { content: 'shell'; }
  pre.src-sql:before { content: 'SQL'; }
  pre.src-sqlite:before { content: 'SQLite'; }
  /* additional languages in org.el's org-babel-load-languages alist */
  pre.src-forth:before { content: 'Forth'; }
  pre.src-io:before { content: 'IO'; }
  pre.src-J:before { content: 'J'; }
  pre.src-makefile:before { content: 'Makefile'; }
  pre.src-maxima:before { content: 'Maxima'; }
  pre.src-perl:before { content: 'Perl'; }
  pre.src-picolisp:before { content: 'Pico Lisp'; }
  pre.src-scala:before { content: 'Scala'; }
  pre.src-shell:before { content: 'Shell Script'; }
  pre.src-ebnf2ps:before { content: 'ebfn2ps'; }
  /* additional language identifiers per "defun org-babel-execute"
       in ob-*.el */
  pre.src-cpp:before  { content: 'C++'; }
  pre.src-abc:before  { content: 'ABC'; }
  pre.src-coq:before  { content: 'Coq'; }
  pre.src-groovy:before  { content: 'Groovy'; }
  /* additional language identifiers from org-babel-shell-names in
     ob-shell.el: ob-shell is the only babel language using a lambda to put
     the execution function name together. */
  pre.src-bash:before  { content: 'bash'; }
  pre.src-csh:before  { content: 'csh'; }
  pre.src-ash:before  { content: 'ash'; }
  pre.src-dash:before  { content: 'dash'; }
  pre.src-ksh:before  { content: 'ksh'; }
  pre.src-mksh:before  { content: 'mksh'; }
  pre.src-posh:before  { content: 'posh'; }
  /* Additional Emacs modes also supported by the LaTeX listings package */
  pre.src-ada:before { content: 'Ada'; }
  pre.src-asm:before { content: 'Assembler'; }
  pre.src-caml:before { content: 'Caml'; }
  pre.src-delphi:before { content: 'Delphi'; }
  pre.src-html:before { content: 'HTML'; }
  pre.src-idl:before { content: 'IDL'; }
  pre.src-mercury:before { content: 'Mercury'; }
  pre.src-metapost:before { content: 'MetaPost'; }
  pre.src-modula-2:before { content: 'Modula-2'; }
  pre.src-pascal:before { content: 'Pascal'; }
  pre.src-ps:before { content: 'PostScript'; }
  pre.src-prolog:before { content: 'Prolog'; }
  pre.src-simula:before { content: 'Simula'; }
  pre.src-tcl:before { content: 'tcl'; }
  pre.src-tex:before { content: 'TeX'; }
  pre.src-plain-tex:before { content: 'Plain TeX'; }
  pre.src-verilog:before { content: 'Verilog'; }
  pre.src-vhdl:before { content: 'VHDL'; }
  pre.src-xml:before { content: 'XML'; }
  pre.src-nxml:before { content: 'XML'; }
  /* add a generic configuration mode; LaTeX export needs an additional
     (add-to-list 'org-latex-listings-langs '(conf " ")) in .emacs */
  pre.src-conf:before { content: 'Configuration File'; }

  table { border-collapse:collapse; }
  caption.t-above { caption-side: top; }
  caption.t-bottom { caption-side: bottom; }
  td, th { vertical-align:top;  }
  th.org-right  { text-align: center;  }
  th.org-left   { text-align: center;   }
  th.org-center { text-align: center; }
  td.org-right  { text-align: right;  }
  td.org-left   { text-align: left;   }
  td.org-center { text-align: center; }
  dt { font-weight: bold; }
  .footpara { display: inline; }
  .footdef  { margin-bottom: 1em; }
  .figure { padding: 1em; }
  .figure p { text-align: center; }
  .equation-container {
    display: table;
    text-align: center;
    width: 100%;
  }
  .equation {
    vertical-align: middle;
  }
  .equation-label {
    display: table-cell;
    text-align: right;
    vertical-align: middle;
  }
  .inlinetask {
    padding: 10px;
    border: 2px solid gray;
    margin: 10px;
    background: #ffffcc;
  }
  #org-div-home-and-up
   { text-align: right; font-size: 70%; white-space: nowrap; }
  textarea { overflow-x: auto; }
  .linenr { font-size: smaller }
  .code-highlighted { background-color: #ffff00; }
  .org-info-js_info-navigation { border-style: none; }
  #org-info-js_console-label
    { font-size: 10px; font-weight: bold; white-space: nowrap; }
  .org-info-js_search-highlight
    { background-color: #ffff00; color: #000000; font-weight: bold; }
  .org-svg { width: 90%; }
</style>
<link rel="stylesheet" type="text/css" href="https://distro.tube/org-html-themes/src/readtheorg_theme/css/htmlize.css"/>
<link rel="stylesheet" type="text/css" href="https://distro.tube/org-html-themes/src/readtheorg_theme/css/readtheorg.css"/>
<script src="httpss://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
<script src="httpss://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/js/bootstrap.min.js"></script>
<script type="text/javascript" src="https://distro.tube/org-html-themes/src/lib/js/jquery.stickytableheaders.min.js"></script>
<script type="text/javascript" src="https://distro.tube/org-html-themes/src/readtheorg_theme/js/readtheorg.js"></script>
<link rel="stylesheet" type="text/css" href="https://distro.tube/org-html-themes/src/readtheorg_theme/css/htmlize.css"/>
<link rel="stylesheet" type="text/css" href="https://distro.tube/org-html-themes/src/readtheorg_theme/css/readtheorg.css"/>
<script src="httpss://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
<script src="httpss://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/js/bootstrap.min.js"></script>
<script type="text/javascript" src="https://distro.tube/org-html-themes/src/lib/js/jquery.stickytableheaders.min.js"></script>
<script type="text/javascript" src="https://distro.tube/org-html-themes/src/readtheorg_theme/js/readtheorg.js"></script>
<link rel="stylesheet" type="text/css" href="https://distro.tube/org-html-themes/src/readtheorg_theme/css/htmlize.css"/>
<link rel="stylesheet" type="text/css" href="https://distro.tube/org-html-themes/src/readtheorg_theme/css/readtheorg.css"/>
<script src="httpss://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
<script src="httpss://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/js/bootstrap.min.js"></script>
<script type="text/javascript" src="https://distro.tube/org-html-themes/src/lib/js/jquery.stickytableheaders.min.js"></script>
<script type="text/javascript" src="https://distro.tube/org-html-themes/src/readtheorg_theme/js/readtheorg.js"></script>
</head>
<body>
<div id="content" class="content">
<h1 class="title">Org Export</h1>
<div id="table-of-contents" role="doc-toc">
<h2>Table of Contents</h2>
<div id="text-table-of-contents" role="doc-toc">
<ul>
<li><a href="#org1d598f0">Exporting Org Files</a></li>
<li><a href="#org6b89a52">Export Settings</a>
<ul>
<li><a href="#org6fc82a8">AUTHOR</a></li>
<li><a href="#org281127f">CREATOR</a></li>
<li><a href="#org2fd87d3">DATE</a></li>
<li><a href="#orgfe6e0eb">EMAIL</a></li>
<li><a href="#org999af7a">LANGUAGE</a></li>
<li><a href="#org723cbb8">SELECT_TAGS</a></li>
<li><a href="#org1eb675a">EXCLUDE_TAGS</a></li>
<li><a href="#org866564e">TITLE</a></li>
<li><a href="#org2e16532">EXPORT_FILE_NAME</a></li>
</ul>
</li>
<li><a href="#orgac77436">The Export Dispatcher</a>
<ul>
<li><a href="#org188037b">The DESCRIPTION Tag</a></li>
<li><a href="#org5de9313">The OPTIONS Tag</a></li>
<li><a href="#orgdd8cf64">The HTML_HEAD Tag</a></li>
</ul>
</li>
<li><a href="#org34576c9">Org HTML Themes</a>
<ul>
<li><a href="#org33aca9d">Footer</a></li>
</ul>
</li>
</ul>
</div>
</div>
<table border="2" cellspacing="0" cellpadding="6" rules="groups" frame="hsides">


<colgroup>
<col  class="org-left" />

<col  class="org-left" />

<col  class="org-left" />

<col  class="org-left" />

<col  class="org-left" />

<col  class="org-left" />
</colgroup>
<tbody>
<tr>
<td class="org-left"><a href="../index.html">Home</a></td>
<td class="org-left"><a href="../dtos/index.html">DTOS</a></td>
<td class="org-left"><a href="index.html">Knowledge Base</a></td>
<td class="org-left"><a href="../community/index.html">Community</a></td>
<td class="org-left"><a href="../contribute/index.html">Contribute</a></td>
<td class="org-left"><a href="../support/index.html">Support DT&rsquo;s Work</a></td>
</tr>
</tbody>
</table>

<div id="outline-container-org1d598f0" class="outline-2">
<h2 id="org1d598f0">Exporting Org Files</h2>
<div class="outline-text-2" id="text-org1d598f0">
<p>
At some point you might want to print your notes, publish them on the web, or share them with people not using Org. Org can convert and export documents to a variety of other formats while retaining as much structure and markup as possible.
</p>

<p>
The libraries responsible for translating Org files to other formats are called back-ends. Org ships with support for the following back-ends:
</p>
<ul class="org-ul">
<li>ascii (ASCII format)</li>
<li>beamer (LaTeX Beamer format)</li>
<li>html (HTML format)</li>
<li>icalendar (iCalendar format)</li>
<li>latex (LaTeX format)</li>
<li>md (Markdown format)</li>
<li>odt (OpenDocument Text format)</li>
<li>org (Org format)</li>
<li>texinfo (Texinfo format)</li>
<li>man (Man page format)</li>
</ul>

<p>
Users can install libraries for additional formats from the Emacs packaging system. For easy discovery, these packages have a common naming scheme: ox-NAME, where NAME is a format. For example, ox-hugo for the Hugo markdown back-end.  Type M-x package-install and search for &rsquo;ox-&rsquo; to see some of the packages available.
</p>

<p>
Org only loads back-ends for the following formats by default: ASCII, HTML, iCalendar, LaTeX, and ODT. Additional back-ends can be loaded in either of two ways: by configuring the org-export-backends variable, or by requiring libraries in the Emacs init file. For example, to load the Markdown back-end, add this to your Emacs config:
</p>

<p>
(require &rsquo;ox-md)
</p>
</div>
</div>

<div id="outline-container-org6b89a52" class="outline-2">
<h2 id="org6b89a52">Export Settings</h2>
<div class="outline-text-2" id="text-org6b89a52">
<p>
Export options can be set: globally with variables; for an individual file by making variables buffer-local with in-buffer settings; by setting individual keywords or specifying them in compact form with the ‘OPTIONS’ keyword; or for a tree by setting properties. Options set at a specific level override options set at a more general level.
</p>

<p>
The export keywords available for every back-end, and their equivalent global variables, include:
</p>
</div>
<div id="outline-container-org6fc82a8" class="outline-3">
<h3 id="org6fc82a8">AUTHOR</h3>
<div class="outline-text-3" id="text-org6fc82a8">
<p>
The document author (user-full-name).
</p>
</div>
</div>
<div id="outline-container-org281127f" class="outline-3">
<h3 id="org281127f">CREATOR</h3>
<div class="outline-text-3" id="text-org281127f">
<p>
Entity responsible for output generation (org-export-creator-string).
</p>
</div>
</div>
<div id="outline-container-org2fd87d3" class="outline-3">
<h3 id="org2fd87d3">DATE</h3>
<div class="outline-text-3" id="text-org2fd87d3">
<p>
A date or a time-stamp.
</p>
</div>
</div>
<div id="outline-container-orgfe6e0eb" class="outline-3">
<h3 id="orgfe6e0eb">EMAIL</h3>
<div class="outline-text-3" id="text-orgfe6e0eb">
<p>
The email address (user-mail-address).
</p>
</div>
</div>
<div id="outline-container-org999af7a" class="outline-3">
<h3 id="org999af7a">LANGUAGE</h3>
<div class="outline-text-3" id="text-org999af7a">
<p>
Language to use for translating certain strings (org-export-default-language). With ‘#+LANGUAGE: fr’, for example, Org translates ‘Table of contents’ to the French ‘Table des matières’124.
</p>
</div>
</div>
<div id="outline-container-org723cbb8" class="outline-3">
<h3 id="org723cbb8">SELECT_TAGS</h3>
<div class="outline-text-3" id="text-org723cbb8">
<p>
The default value is ‘(&ldquo;export&rdquo;)’. When a tree is tagged with ‘export’ (org-export-select-tags), Org selects that tree and its sub-trees for export. Org excludes trees with ‘noexport’ tags, see below. When selectively exporting files with ‘export’ tags set, Org does not export any text that appears before the first headline.
</p>
</div>
</div>
<div id="outline-container-org1eb675a" class="outline-3">
<h3 id="org1eb675a">EXCLUDE_TAGS</h3>
<div class="outline-text-3" id="text-org1eb675a">
<p>
The default value is ‘(&ldquo;noexport&rdquo;)’. When a tree is tagged with ‘noexport’ (org-export-exclude-tags), Org excludes that tree and its sub-trees from export. Entries tagged with ‘noexport’ are unconditionally excluded from the export, even if they have an ‘export’ tag. Even if a sub-tree is not exported, Org executes any code blocks contained there.
</p>
</div>
</div>
<div id="outline-container-org866564e" class="outline-3">
<h3 id="org866564e">TITLE</h3>
<div class="outline-text-3" id="text-org866564e">
<p>
Org displays this title. For long titles, use multiple ‘#+TITLE’ lines.
</p>
</div>
</div>
<div id="outline-container-org2e16532" class="outline-3">
<h3 id="org2e16532">EXPORT_FILE_NAME</h3>
<div class="outline-text-3" id="text-org2e16532">
<p>
The name of the output file to be generated. Otherwise, Org generates the file name based on the buffer name and the extension based on the back-end format.
</p>
</div>
</div>
</div>

<div id="outline-container-orgac77436" class="outline-2">
<h2 id="orgac77436">The Export Dispatcher</h2>
<div class="outline-text-2" id="text-orgac77436">
<p>
The export dispatcher is the main interface for Org’s exports. A hierarchical menu presents the currently configured export formats. Options are shown as easy toggle switches on the same screen.  The keybinding for org-export is:
</p>
<ul class="org-ul">
<li>&rsquo;C-c C-e&rsquo; in standard GNU Emacs</li>
<li>&rsquo;SPACE m e&rsquo; in DOOM Emacs</li>
</ul>
</div>

<div id="outline-container-org188037b" class="outline-3">
<h3 id="org188037b">The DESCRIPTION Tag</h3>
<div class="outline-text-3" id="text-org188037b">
<p>
I used a DESCRIPTION tag in the header of this org file, but DESCRIPTION was not one of the export keywords listed above.  The above list was export keywords available in all back-ends.  The DESCRIPTION tag isn&rsquo;t available in every back-end, but is used when converting to HTML. Let&rsquo;s &rsquo;SPC m e h o&rsquo; to convert this document to HTML.  Then, view the source of the HTML and look for the description meta tag.
</p>
</div>
</div>

<div id="outline-container-org5de9313" class="outline-3">
<h3 id="org5de9313">The OPTIONS Tag</h3>
<div class="outline-text-3" id="text-org5de9313">
<p>
Useful for specifying some export settings.  A couple of common ones would be:
</p>
<ul class="org-ul">
<li>toc:nil</li>
<li>num:nil</li>
</ul>

<p>
Example: #+OPTIONS: num:nil
</p>
</div>
</div>

<div id="outline-container-orgdd8cf64" class="outline-3">
<h3 id="orgdd8cf64">The HTML_HEAD Tag</h3>
<div class="outline-text-3" id="text-orgdd8cf64">
<p>
This is used to add lines to an HTML document&rsquo;s head.  We could use this to link to CSS files, Javascript, Google fonts, etc.
</p>
<pre class="example" id="org76c2851">
Example: #+HTML_HEAD: &lt;link rel="stylesheet" type="text/css" href="/home/dt/Org/css/styles.css"
</pre>
</div>
</div>
</div>

<div id="outline-container-org34576c9" class="outline-2">
<h2 id="org34576c9">Org HTML Themes</h2>
<div class="outline-text-2" id="text-org34576c9">
<p>
<a href="https://github.com/fniessen/org-html-themes">Org-HMTL themes</a> is an open source framework for providing you with a list of very nice (cross-browser) themes for all your Org documents. Use them to style your docs, and your colleagues will come up to tell you that you are a genius!
</p>

<p>
The two themes currently available are:
</p>
<ul class="org-ul">
<li>Bigblow</li>
<li>ReadTheOrg</li>
</ul>
</div>

<div id="outline-container-org33aca9d" class="outline-3">
<h3 id="org33aca9d">Footer</h3>
<div class="outline-text-3" id="text-org33aca9d">
<p>
Copyright © 2020-2021 Derek Taylor (DistroTube)
</p>

<p>
This page is licensed under a <a href="https://creativecommons.org/licenses/by-nd/4.0/">Creative Commons Attribution-NoDerivatives 4.0 International License</a> (CC-BY-ND 4.0).
</p>

<p>
The source code for distro.tube can be found on <a href="https://gitlab.com/dwt1/distro.tube">GitLab</a>.  User-submitted contributions to the site are welcome, as long as the contributor agrees to license their submission with the CC-BY-ND 4.0 license.
</p>
</div>
</div>
</div>
</div>
<div id="postamble" class="status">
<p class="author">Author: dt</p>
<p class="date">Created: 2021-12-03 Fri 15:43</p>
</div>
</body>
</html>
